Syncplay(1)

NAME
syncplay - synchronize playback of various video players via internet

SYNOPSIS
syncplay [options] [file] [playeroptions]

DESCRIPTION
This manual page documents briefly the syncplay command.

syncplay is a program that allows you to watch movies with friends or family at different places synchronized via the internet. When a viewer pauses/continues playback or seeks within their media player this will be replicated across all media players connected to the same server in the same viewing session. A chat function is included so viewers can discuss the movie while watching it. To improve the communication experience for viewers, the Syncplay developers and this package suggest to use additional VoIP (package mumble) or video phone (package jami) software. Technically, it synchronizes the position and play states of multiple mpv, VLC, MPC-HC and MPC-BEmedia player instances so viewers' players present the same movie at the same time. There are known synchronization issues with VLC. If you experience such problems use MPV instead.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

--no-gui
    Do not show the graphical user interface.

-a hostname, --host hostname
    Address of the server to connect to.

-n username, --name username
    User name to use.

-d, --debug
    Enable debug mode.

-g, --force-gui-prompt
    Force configuration window to appear when Syncplay starts.

--no-store
    Do not store configuration settings in .syncplay.

-r [room], --room [room]
    Default room to use.

-p [password], --password [password]
    The password for the server.

--player-path path
    Path to the player binary.

--language language
    Language of Syncplay messages. Valid values are de/en/es/eo/fr/it/pt_PT/pt_BR/tr/ru/zh_CN.

--clear-gui-data
    Resets path and window state GUI data stored as QSettings.

-v, --version
    Show version of program.

--load-playlist-from-file file
    Loads the playlist from file. One entry per line.

SEE ALSO
syncplay-server(1).